%define	rhelp_version	0.1.2

Name:           dd_rescue
Version:        1.14
Release:        10%{?dist}
Summary:        Fault tolerant "dd" utility for rescuing data from bad media
Group:          Applications/System
# No version specified
License:        GPL+
URL:            http://www.garloff.de/kurt/linux/ddrescue/
Source0:        http://www.garloff.de/kurt/linux/ddrescue/dd_rescue-%{version}.tar.gz
Source1:        http://www.kalysto.org/pkg/dd_rhelp-%{rhelp_version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ddrescue is a utility similar to the system utility "dd" which copies
data from a file or block device to another. ddrescue does however
not abort on errors in the input file. This makes it suitable for
rescuing data from media with errors, e.g. a disk with bad sectors.

This package includes dd_rhelp, a wrapper script facilating data 
recovery.


%prep
%setup -q -n %{name}
%setup -q -n %{name} -a 1 -D -T


%build
make RPM_OPT_FLAGS="%{optflags}" %{?_smp_mflags}
cp README.dd_rescue README
cp dd_rhelp-%{rhelp_version}/README README.dd_rhelp
cp dd_rhelp-%{rhelp_version}/FAQ FAQ.dd_rhelp


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}/usr INSTASROOT="" INSTALLFLAGS=""
pushd dd_rhelp-%{rhelp_version}/
install -D -m 755 dd_rhelp %{buildroot}%{_bindir}/dd_rhelp
popd


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README README.dd_rhelp
%{_bindir}/dd_rescue
%{_bindir}/dd_rhelp


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 16 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.14-8
- fix license tag

* Mon Feb 25 2008 Andreas Thienemann <andreas@bawue.net> - 1.14-7
- Remove the obsoletes flag as we're shipping ddrescue in parallel.

* Mon Feb 11 2008 Andreas Thienemann <andreas@bawue.net> - 1.14-6
- Updated to dd_rescue 1.14 and dd_rhelp 0.1.2

* Wed Mar 07 2007 Andreas Thienemann <andreas@bawue.net> - 1.12-6
- Fixed the patch from 1.12-5

* Wed Mar 07 2007 Andreas Thienemann <andreas@bawue.net> - 1.12-5
- Fixed tail warning about deprecated argument. Thanks to Jason Farrell 
  for the patch.

* Fri Nov 10 2006 Andreas Thienemann <andreas@bawue.net> - 1.12-4
- Added dist-tag

* Fri Nov 10 2006 Andreas Thienemann <andreas@bawue.net> - 1.12-3
- *bump*

* Fri Nov 10 2006 Andreas Thienemann <andreas@bawue.net> - 1.12-2
- Fix debug package

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 1.12-1
- Updated to 1.12
- Finally updated the package name to what we are actually shipping, 
  obsolete old one.
- Included dd_rhelp

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Sep  5 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.10-0.fdr.1
- Updated to 1.10.

* Sat Dec 13 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.03-0.fdr.1
- Updated to 1.03.
- Minor editing of description.

* Mon Sep 29 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.02-0.fdr.1
- Initial RPM release.
